Main Page Class List Class Members

# Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder Class Reference

`#include <NvBlastExtPxSerialization.capn.h>`

List of all members.

## Public Types
typedef PxMeshScale | Builds
## Public Member Functions
void | adoptRotation (::capnp::Orphan< ::Nv::Blast::Serialization::PxQuat > &&value)
void | adoptScale (::capnp::Orphan< ::Nv::Blast::Serialization::PxVec3 > &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::PxQuat > | disownRotation ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::PxVec3 > | disownScale ()
inline::Nv::Blast::Serialization::PxQuat::Builder | getRotation ()
inline::Nv::Blast::Serialization::PxVec3::Builder | getScale ()
bool | hasRotation ()
bool | hasScale ()
inline::Nv::Blast::Serialization::PxQuat::Builder | initRotation ()
inline::Nv::Blast::Serialization::PxVec3::Builder | initScale ()
| operator Reader () const
void | setRotation (::Nv::Blast::Serialization::PxQuat::Reader value)
void | setScale (::Nv::Blast::Serialization::PxVec3::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef PxMeshScale Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::adoptRotation | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::PxQuat > && | value | ) | `[inline]`

void Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::adoptScale | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::PxVec3 > && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::asReader | ( |  | ) | const`[inline]`

inline ::capnp::Orphan< ::Nv::Blast::Serialization::PxQuat> Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::disownRotation | ( |  | ) |

inline ::capnp::Orphan< ::Nv::Blast::Serialization::PxVec3> Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::disownScale | ( |  | ) |

inline ::Nv::Blast::Serialization::PxQuat::Builder Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::getRotation | ( |  | ) |

inline ::Nv::Blast::Serialization::PxVec3::Builder Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::getScale | ( |  | ) |

bool Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::hasRotation | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::hasScale | ( |  | ) | `[inline]`

inline ::Nv::Blast::Serialization::PxQuat::Builder Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::initRotation | ( |  | ) |

inline ::Nv::Blast::Serialization::PxVec3::Builder Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::initScale | ( |  | ) |

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::setRotation | ( | ::Nv::Blast::Serialization::PxQuat::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::setScale | ( | ::Nv::Blast::Serialization::PxVec3::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Builder::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtPxSerialization.capn.h